#!/bin/sh

set -e

THIS_PACKAGE=adreno-egl
THIS_SCRIPT=postinst

case "$1" in
  configure)
  # Use alternatives to make it easier to switch between Mesa and 3rd party modules
  update-alternatives --force \
    --install /etc/ld.so.conf.d/${DEB_HOST_MULTIARCH}_EGL.conf ${DEB_HOST_MULTIARCH}_egl_conf /usr/lib/${DEB_HOST_MULTIARCH}/adreno-egl/ld.so.conf 100 \

  # ldconfig needs to be run immediately as we're changing /etc/ld.so.conf.d/ with
  # alternatives.
  LDCONFIG_NOTRIGGER=y ldconfig

esac

#DEBHELPER#

exit 0
